spark-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean R. Owen (Jira)" <j...@apache.org>
Subject [jira] [Resolved] (SPARK-28952) Getting Error using 'Linearregression' in spark 2.3.4
Date Sat, 26 Oct 2019 22:56:00 GMT

     [ https://issues.apache.org/jira/browse/SPARK-28952?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Sean R. Owen resolved SPARK-28952.
----------------------------------
    Resolution: Not A Problem

The error message looks weird because it looks like it's the same type. But I'm almost certain
it's because you are mixing old and new Vector classes. You'll need the .ml version of Vector
to use with .ml classes.

> Getting Error using 'Linearregression' in spark 2.3.4
> -----------------------------------------------------
>
>                 Key: SPARK-28952
>                 URL: https://issues.apache.org/jira/browse/SPARK-28952
>             Project: Spark
>          Issue Type: Bug
>          Components: ML
>    Affects Versions: 2.4.3
>            Reporter: Sandeep Singh
>            Priority: Major
>
> Getting following error While fitting the 'LinearRegression':
>  
> File "C:\Spark\spark-2.4.3-bin-hadoop2.7\python\pyspark\sql\utils.py", line 79, in deco
>  raise IllegalArgumentException(s.split(': ', 1)[1], stackTrace)
> IllegalArgumentException: 'requirement failed: Column features must be of type struct<type:tinyint,size:int,indices:array<int>,values:array<double>>
but was actually struct<type:tinyint,size:int,indices:array<int>,values:array<double>>.'



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@spark.apache.org
For additional commands, e-mail: issues-help@spark.apache.org


Mime
View raw message